/*
 * SPDX-License-Identifier: GPL-2.0+
 *
 * Driver for Solarflare network controllers and boards
 * Copyright 2019 Solarflare Communications Inc.
 *
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License version 2 as published
 * by the Free Software Foundation, incorporated herein by reference.
 *
 * You can also choose to distribute this program under the terms of
 * the Unmodified Binary Distribution Licence (as given in the file
 * COPYING.UBDL), provided that you have satisfied its requirements.
 */

FILE_LICENCE ( GPL2_OR_LATER_OR_UBDL );

#include <stdio.h>
#include <gpxe/command.h>
#include <usr/bootconnect.h>

static int bootconnect_exec ( int argc, char **argv ) {

	if ( argc != 1 ) {
		printf ( "Usage:\n"
			 "  %s\n"
			 "\n"
			 "Attempts to connect a boot device\n",
			 argv[0] );
		return 1;
	}

	sf_bootconnect();
	return 0;
}

struct command bootconnect_command __command = {
	.name = "bootconnect",
	.exec = bootconnect_exec,
};
