/*
 * SPDX-License-Identifier: GPL-2.0+
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2, or (at
 * your option) any later version.
 *
 * You can also choose to distribute this program under the terms of
 * the Unmodified Binary Distribution Licence (as given in the file
 * COPYING.UBDL), provided that you have satisfied its requirements.
 */
#ifndef _GPXE_ASN1_H
#define _GPXE_ASN1_H

/** @file
 *
 * ASN.1 encoding
 *
 */

FILE_LICENCE ( GPL2_OR_LATER_OR_UBDL );

#define ASN1_INTEGER 0x02
#define ASN1_BIT_STRING 0x03
#define ASN1_OCTET_STRING 0x04
#define ASN1_NULL 0x05
#define ASN1_OID 0x06
#define ASN1_SEQUENCE 0x30
#define ASN1_IP_ADDRESS 0x40
#define ASN1_EXPLICIT_TAG 0xa0

/**
 * A DER-encoded ASN.1 object cursor
 */
struct asn1_cursor {
	/** Start of data */
	uint8_t *data;
	/** Length of data */
	size_t len;
};

extern int asn1_enter_object ( struct asn1_cursor *cursor, unsigned int type );
extern int asn1_skip_object ( struct asn1_cursor *cursor, unsigned int type );

#endif /* _GPXE_ASN1_H */
