/*
 * SPDX-License-Identifier: GPL-2.0+
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2, or (at
 * your option) any later version.
 *
 * You can also choose to distribute this program under the terms of
 * the Unmodified Binary Distribution Licence (as given in the file
 * COPYING.UBDL), provided that you have satisfied its requirements.
 */
#ifndef _GPXE_EDITSTRING_H
#define _GPXE_EDITSTRING_H

/** @file
 *
 * Editable strings
 *
 */

FILE_LICENCE ( GPL2_OR_LATER_OR_UBDL );

/** An editable string */
struct edit_string {
	/** Buffer for string */
	char *buf;
	/** Size of buffer (including terminating NUL) */
	size_t len;
	/** Cursor position */
	unsigned int cursor;

	/* The following items are the edit history */

	/** Last cursor position */
	unsigned int last_cursor;
	/** Start of modified portion of string */
	unsigned int mod_start;
	/** End of modified portion of string */
	unsigned int mod_end;
};

extern int edit_string ( struct edit_string *string, int key ) __nonnull;

#endif /* _GPXE_EDITSTRING_H */
