/*
 * SPDX-License-Identifier: GPL-2.0+
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2, or (at
 * your option) any later version.
 *
 * You can also choose to distribute this program under the terms of
 * the Unmodified Binary Distribution Licence (as given in the file
 * COPYING.UBDL), provided that you have satisfied its requirements.
 */
#ifndef _TIME_H
#define _TIME_H

FILE_LICENCE ( GPL2_OR_LATER_OR_UBDL );

typedef unsigned long time_t;

struct tm {
	int tm_sec;	/* seconds */
	int tm_min;	/* minutes */
	int tm_hour;	/* hours */
	int tm_mday;	/* day of the month */
	int tm_mon;	/* month */
	int tm_year;	/* year */
	int tm_wday;	/* day of the week */
	int tm_yday;	/* day in the year */
	int tm_isdst;	/* daylight saving time */
};

extern time_t time ( time_t *t );

extern time_t mktime ( struct tm *tm );

#endif /* _TIME_H */
