/*
 * SPDX-License-Identifier: GPL-2.0+
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2, or (at
 * your option) any later version.
 *
 * You can also choose to distribute this program under the terms of
 * the Unmodified Binary Distribution Licence (as given in the file
 * COPYING.UBDL), provided that you have satisfied its requirements.
 */

FILE_LICENCE ( GPL2_OR_LATER_OR_UBDL );

#include <gpxe/settings.h>
#include <gpxe/sf_settings.h>
#include <gpxe/iscsi.h>
#include <gpxe/dhcp.h>

/** @file
 *
 * iSCSI protocol settings
 *
 */

/** iSCSI initiator IQN setting */
struct setting initiator_iqn_setting __setting = {
	.name = "initiator-iqn",
	.description = "Initiator IQN",
	.tag = DHCP_ISCSI_INITIATOR_IQN,
	.type = &setting_type_string,
};

/** iSCSI reverse username setting */
struct setting reverse_username_setting __setting = {
	.name = "reverse-username",
	.description = "Target user name",
	.tag = DHCP_EB_REVERSE_USERNAME,
	.type = &setting_type_string,
};

/** iSCSI reverse password setting */
struct setting reverse_password_setting __setting = {
	.name = "reverse-password",
	.description = "Target secret",
	.tag = DHCP_EB_REVERSE_PASSWORD,
	.type = &setting_type_string,
};
